Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058723 - FTBFS: perl-DBD-Pg-2.19.3-5.fc21: tests fail
Summary: FTBFS: perl-DBD-Pg-2.19.3-5.fc21: tests fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBD-Pg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 12:30 UTC by Petr Pisar
Modified: 2014-07-02 13:18 UTC (History)
4 users (show)

Fixed In Version: perl-DBD-Pg-2.19.3-6.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 13:18:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 88865 None None None Never

Description Petr Pisar 2014-01-28 12:30:20 UTC
perl-DBD-Pg-2.19.3-5.fc21 fails to build in F21 because tests fail:

+ make test
PGINITDB="/usr/bin/initdb" PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00_signature.t .... skipped: Set the environment variable TEST_SIGNATURE to enable this test
t/00basic.t ......... ok
Please wait, creating new database for testing
Use of uninitialized value $info in pattern match (m//) at t/dbdpg_test_setup.pl line 418.
Use of uninitialized value $info in pattern match (m//) at t/dbdpg_test_setup.pl line 418.
# 
# DBI                         Version 1.631
# DBD::Pg                     Version 2.19.3
# Perl                        Version 5.18.2
# OS                          linux
# PostgreSQL (compiled)       90302
# PostgreSQL (target)         90302
# PostgreSQL (reported)       PostgreSQL 9.3.2 on x86_64-redhat-linux-gnu, compiled by gcc (GCC) 4.8.2 20131212 (Red Hat 4.8.2-7), 64-bit
# Default port                5432
# DBI_DSN                     dbi:Pg:db="postgres";port=5440;host=<pwd>/dbdpg_test_database/data/socket
# DBI_USER                    mockbuild
# Test schema                 dbd_pg_testschema
# LANG                        C
# array_nulls                 on
# backslash_quote             safe_encoding
# client_encoding             UTF8
# server_encoding             UTF8
# standard_conforming_strings on
# Adjusted:                   initdb
t/01connect.t ....... ok
t/01constants.t ..... ok
#   Failed test 'DB handle attribute "PrintWarn" shows warnings when on'
#   at t/02attribs.t line 263.
#                   ''
#     doesn't match '(?^:dbd_pg_test_temp)'
        (in cleanup) DBD::Pg::st DESTROY failed: no connection to the server at t/02attribs.t line 1558.
# Looks like you failed 1 test of 249.
t/02attribs.t ....... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/249 subtests 
t/03dbmethod.t ...... ok
t/03smethod.t ....... ok
# Checking pg_st_split_statement. This may take a while...
t/04misc.t .......... ok
t/06bytea.t ......... ok
t/07copy.t .......... ok
t/08async.t ......... ok
t/09arrays.t ........ ok
t/12placeholders.t .. ok
t/20savepoints.t .... ok
Removing test database directory
t/99cleanup.t ....... ok
Test Summary Report
-------------------
t/02attribs.t     (Wstat: 256 Tests: 249 Failed: 1)
  Failed test:  23
  Non-zero exit status: 1
Files=15, Tests=1691, 64 wallclock secs ( 0.21 usr  0.03 sys +  4.41 cusr  1.19 csys =  5.84 CPU)
Result: FAIL

Comment 1 Petr Pisar 2014-01-29 14:17:33 UTC
All Fedoras are affected.

Comment 2 Fedora Update System 2014-01-29 14:54:27 UTC
perl-DBD-Pg-2.19.3-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-DBD-Pg-2.19.3-6.fc20

Comment 3 Fedora Update System 2014-01-29 14:55:05 UTC
perl-DBD-Pg-2.19.3-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-DBD-Pg-2.19.3-4.fc19

Comment 4 Fedora Update System 2014-02-07 03:07:27 UTC
perl-DBD-Pg-2.19.3-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-02-07 03:10:46 UTC
perl-DBD-Pg-2.19.3-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.